library(stockassessment)
load("run/model.RData")
FC<-list()
set.seed(12345)


library(stockassessment)
load("run/model.RData")
FC<-list()
#set.seed(12345)
#FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,1,1,1), ave.years=max(fit$data$years) + ((-3):(-1)), lagR=TRUE, label="Fsq")


set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,NA,NA,NA), catchval=c(NA,4488,NA,NA), fval=c(NA,NA ,0.882,0.882), 
                                    ave.years=max(fit$data$years) + ((-3):(-1)), lagR=TRUE, label="Fsq", year.base=2020)
                                    
 
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,NA,NA,NA), catchval=c(NA,4488,NA,NA), fval=c(NA, NA,0.537 ,0.537), 
                                    ave.years=max(fit$data$years) + ((-3):(-1)), lagR=TRUE, label="Fsq base2019", year.base=2020)
                                     
   
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,NA,NA,NA), catchval=c(NA,4488,NA,NA), fval=c(NA,NA, 0.26,0.26), 
                                    ave.years=max(fit$data$years) + ((-3):(-1)), lagR=TRUE, label="Fmsy", year.base=2020)

set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,NA,NA,NA), catchval=c(NA,4488,NA,NA), fval=c(NA,NA,0.18,0.18), 
                                    ave.years=max(fit$data$years) + ((-3):(-1)), lagR=TRUE, label="Lower", year.base=2020)


set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,NA,NA,NA), catchval=c(NA,4488,NA,NA), fval=c(NA,NA,0.43,0.43), 
                                    ave.years=max(fit$data$years) + ((-3):(-1)), lagR=TRUE, label="Upper", year.base=2020)

set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,NA,NA,NA), catchval=c(NA,4488,NA,NA), fval=c(NA,NA,0.99,0.26), 
                                    ave.years=max(fit$data$years) + ((-3):(-1)), lagR=TRUE, label="F=Fpa", year.base=2020)

set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,NA,NA,NA), catchval=c(NA,4488,NA,NA), fval=c(NA,NA, 1.45,0.26), 
                                    ave.years=max(fit$data$years) + ((-3):(-1)), lagR=TRUE, label="F=Flim", year.base=2020)

set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,NA,NA,NA), catchval=c(NA,4488,NA,NA), fval=c(NA,NA,0.000001,0.000001), 
                                    ave.years=max(fit$data$years) + ((-3):(-1)), lagR=TRUE, label="Fzero", year.base=2020)

                 
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,NA,NA,NA), catchval=c(NA,4488,NA,NA), fval=c(NA,NA,0.4918,0.46), 
                                    ave.years=max(fit$data$years) + ((-3):(-1)), lagR=TRUE, label="SSB=Bpa", year.base=2020)
                                    
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,NA,NA,NA), catchval=c(NA,4488,NA,NA), fval=c(NA,NA,1.0167,0.46), 
                                    ave.years=max(fit$data$years) + ((-3):(-1)), lagR=TRUE, label="SSB=Blim", year.base=2020)
                                    
                                    
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,NA,NA,1), catchval=c(NA, 4488,1315, NA), 
                                    ave.years=max(fit$data$years) + ((-3):(-1)), lagR=TRUE, label="F=F_R", year.base=2020)
                                    
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,NA,NA,NA), catchval=c(NA,4488,NA,NA), fval=c(NA,NA, 0.26,0.26), 
                                    ave.years=max(fit$data$years) + ((-3):(-1)), lagR=TRUE, label="Fmsy", year.base=2020)


save(FC, file="run/forecast.RData")



